Loading...
Searching...
No Matches
ada_url_components Struct Reference

`#include <ada_c.h>`

## Public Attributes

uint32_t | protocol_end
uint32_t | username_end
uint32_t | host_start
uint32_t | host_end
uint32_t | port
uint32_t | pathname_start
uint32_t | search_start
uint32_t | hash_start

## Detailed Description

Definition at line 28 of file ada_c.h.

## Member Data Documentation

## hash_start

uint32_t ada_url_components::hash_start

Definition at line 36 of file ada_c.h.

## host_end

uint32_t ada_url_components::host_end

Definition at line 32 of file ada_c.h.

## host_start

uint32_t ada_url_components::host_start

Definition at line 31 of file ada_c.h.

## pathname_start

uint32_t ada_url_components::pathname_start

Definition at line 34 of file ada_c.h.

## port

uint32_t ada_url_components::port

Definition at line 33 of file ada_c.h.

## protocol_end

uint32_t ada_url_components::protocol_end

Definition at line 29 of file ada_c.h.

## search_start

uint32_t ada_url_components::search_start

Definition at line 35 of file ada_c.h.

## username_end

uint32_t ada_url_components::username_end

Username end is not omitted by default (-1) to make username and password getters less costly to implement.

Definition at line 30 of file ada_c.h.

The documentation for this struct was generated from the following files:

- include/ada_c.h
- src/ada_c.cpp